| Home | Libraries | People | FAQ | More

###### http::message::message (5 of 14 overloads)

Constructor.

###### Synopsis

    template<
        class... BodyArgs>
    message(
        header_type const& h,
        BodyArgs&&... body_args);

###### Parameters

Name | Description
--- | ---
`h` | The header to copy construct from.
`body_args` | Optional arguments forwarded to the `body` constructor.